Bug 1572970 - Review Request: libCombine - C++ library for working with the COMBINE Archive format
Summary: Review Request: libCombine - C++ library for working with the COMBINE Archive...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1572969
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 10:59 UTC by Antonio T. (sagitter)
Modified: 2018-05-15 20:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 19:52:48 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2018-04-29 10:59:34 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/ForTesting/libCombine.git/plain/libCombine.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/ForTesting/fedora-27-x86_64/00746861-libCombine/libCombine-0.2.2-2.20180426git8902b68.fc27.src.rpm

Description: 

LibCombine implements a C++ API library providing support for the
Combine Archive. The library is written after the likeness of
libSBML (and in fact some classes have been generated using DEVISER).
Thus even thought he core is written in C++, the classes can be
accessed via SWIG from .NET, Java and Python.

Fedora Account System Username: sagitter

Comment 1 Robert-André Mauchin 🐧 2018-04-29 15:18:58 UTC
 - Split the description to stay below 80 characters per line:

libCombine-devel.x86_64: E: description-line-too-long C This package provides header files, shared and static library files of libCombine.

 - Significant part of the code are LGPL licensed:

LGPL
----
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/csharp/compile-native-files.cmake
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/csharp/libcombine.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/csharp/local.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/csharp/local.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/ASTNodes.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/ListWrapper.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/OStream.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/OStream.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/libcombine.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/libcombine.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/bindings/swig/std_set.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaBase.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaBase.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaConstructorException.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaConstructorException.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaContent.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaContent.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaError.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaError.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaErrorLog.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaErrorLog.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaErrorTable.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaListOf.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaListOf.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaListOfContents.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaListOfContents.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaNamespaces.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaNamespaces.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaOmexManifest.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaOmexManifest.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaReader.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaReader.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaTypeCodes.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaTypeCodes.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaTypes.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaVisitor.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaVisitor.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaWriter.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/CaWriter.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/CaOperationReturnValues.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/CaOperationReturnValues.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/combinefwd.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/common.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/extern.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/libcombine-config.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/dev/generated/src/omex/common/libcombine-version.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/examples/java/CMakeLists.txt
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/csharp/compile-native-files.cmake
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/csharp/libcombine.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/csharp/local.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/csharp/local.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/java/libsedml.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/python/local-contrib.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/python/local.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/ASTNodes.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/ListWrapper.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/OStream.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/OStream.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/libcombine.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/libcombine.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/bindings/swig/std_set.i
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/combine/combinearchive.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/combine/knownformats.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/combine/omexdescription.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/combine/util.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/combine/vcard.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaBase.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaBase.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaConstructorException.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaConstructorException.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaContent.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaContent.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaError.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaError.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaErrorLog.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaErrorLog.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaErrorTable.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaListOf.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaListOf.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaListOfContents.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaListOfContents.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaNamespaces.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaNamespaces.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaOmexManifest.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaOmexManifest.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaReader.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaReader.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaTypeCodes.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaTypeCodes.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaTypes.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaVisitor.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaVisitor.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaWriter.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/CaWriter.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/CaOperationReturnValues.cpp
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/CaOperationReturnValues.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/combinefwd.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/common.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/extern.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/libcombine-config.h
libCombine-8902b68d00ebf1f915b7694a64d65d7e14cf2117/src/omex/common/libcombine-version.cpp


   Add it to License and add a comment explaining the breakdown of licenses




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "LGPL", "Unknown or generated". 59 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/libCombine/review-
     libCombine/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: libCombine-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libCombine-static
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libCombine-0.2.2-2.20180426git8902b68.fc29.x86_64.rpm
          libCombine-devel-0.2.2-2.20180426git8902b68.fc29.x86_64.rpm
          libCombine-static-0.2.2-2.20180426git8902b68.fc29.x86_64.rpm
          python3-libCombine-0.2.2-2.20180426git8902b68.fc29.x86_64.rpm
          libCombine-debuginfo-0.2.2-2.20180426git8902b68.fc29.x86_64.rpm
          libCombine-debugsource-0.2.2-2.20180426git8902b68.fc29.x86_64.rpm
          libCombine-0.2.2-2.20180426git8902b68.fc29.src.rpm
libCombine.x86_64: W: spelling-error %description -l en_US libSBML -> Librium
libCombine-devel.x86_64: E: description-line-too-long C This package provides header files, shared and static library files of libCombine.
libCombine-devel.x86_64: W: no-documentation
libCombine-static.x86_64: W: no-documentation
python3-libCombine.x86_64: W: no-documentation
libCombine-debugsource.x86_64: W: no-documentation
libCombine.src: W: spelling-error %description -l en_US libSBML -> Librium
7 packages and 0 specfiles checked; 1 errors, 6 warnings.

Comment 3 Robert-André Mauchin 🐧 2018-04-30 21:28:27 UTC
 - Split the -devel description to stay below 80 characters per line:

libCombine-devel.x86_64: E: description-line-too-long C This package provides header files, shared and static library files of libCombine.


Package otherwise approved.

Comment 4 Antonio T. (sagitter) 2018-05-01 10:24:19 UTC
Thank you Robert.

Comment 5 Gwyn Ciesla 2018-05-01 12:31:52 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libCombine

Comment 6 Fedora Update System 2018-05-04 10:39:37 UTC
COPASI-4.23.184-2.fc27 libCombine-0.2.2-3.20180426git8902b68.fc27 zipper-0.9.1-3.20170831giteee877a.fc27 libsbml-5.16.0-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d516abc03f

Comment 7 Fedora Update System 2018-05-04 10:39:52 UTC
COPASI-4.23.184-2.fc28 libCombine-0.2.2-3.20180426git8902b68.fc28 zipper-0.9.1-3.20170831giteee877a.fc28 libsbml-5.16.0-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4d4225641

Comment 8 Fedora Update System 2018-05-06 10:07:45 UTC
COPASI-4.23.184-2.fc28, libCombine-0.2.2-3.20180426git8902b68.fc28, libsbml-5.16.0-7.fc28, zipper-0.9.1-3.20170831giteee877a.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4d4225641

Comment 9 Fedora Update System 2018-05-06 21:53:22 UTC
COPASI-4.23.184-2.fc27, libCombine-0.2.2-3.20180426git8902b68.fc27, libsbml-5.16.0-7.fc27, zipper-0.9.1-3.20170831giteee877a.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d516abc03f

Comment 10 Fedora Update System 2018-05-15 19:52:48 UTC
COPASI-4.23.184-2.fc27, libCombine-0.2.2-3.20180426git8902b68.fc27, libsbml-5.16.0-7.fc27, zipper-0.9.1-3.20170831giteee877a.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-15 20:05:27 UTC
COPASI-4.23.184-2.fc28, libCombine-0.2.2-3.20180426git8902b68.fc28, libsbml-5.16.0-7.fc28, zipper-0.9.1-3.20170831giteee877a.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.